<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>
</head>
<body>
	<script>
		const someArray = ['text', 'more text', 23, null, '23'];
		let newArray = [];


		function filterBy(array) {
			for( let i = 0; i < array.length; i++) {
				if (array[i] == number){
					newArray[i] = array[i]
				}
			}
		}

		filterBy(someArray);
		console.log(newArray)
	</script>
</body>
</html>